Upload STT dataset item
curl --request POST \
--url https://api.calibrate.artpark.ai/datasets/{dataset_id}/items/upload \
--header 'Content-Type: multipart/form-data' \
--header 'X-API-Key: <api-key>' \
--form audio=@example-file \
--form 'text=<string>'import requests
url = "https://api.calibrate.artpark.ai/datasets/{dataset_id}/items/upload"
files = { "audio": ("example-file", open("example-file", "rb")) }
payload = { "text": "<string>" }
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text){
"uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"text": "<string>",
"order_index": 123,
"created_at": "<string>",
"audio_path": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Datasets
Upload STT dataset item
Upload one audio clip with its transcript and append it to an STT dataset
POST
/
datasets
/
{dataset_id}
/
items
/
upload
Upload STT dataset item
curl --request POST \
--url https://api.calibrate.artpark.ai/datasets/{dataset_id}/items/upload \
--header 'Content-Type: multipart/form-data' \
--header 'X-API-Key: <api-key>' \
--form audio=@example-file \
--form 'text=<string>'import requests
url = "https://api.calibrate.artpark.ai/datasets/{dataset_id}/items/upload"
files = { "audio": ("example-file", open("example-file", "rb")) }
payload = { "text": "<string>" }
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text){
"uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"text": "<string>",
"order_index": 123,
"created_at": "<string>",
"audio_path": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Path Parameters
The STT dataset to add the item to
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
multipart/form-data
WAV file of the spoken audio, at most 25 MB and 10 minutes long
Ground-truth transcript of the audio
Response
Successful Response
Dataset item ID
Required string length:
36Example:
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
Ground-truth transcript (STT) or synthesis text (TTS)
Position of the item within the dataset. The first item is 0
When the dataset item was created (ISO 8601 UTC)
Presigned download URL for the item's audio
When the dataset item was last updated (ISO 8601 UTC)